------------------------------------------------------------
revno: 4571
committer: Murthy Narkedimilli <murthy.narkedimilli@oracle.com>
branch nick: mysql-5.5.36-release
timestamp: Wed 2014-01-08 11:09:04 +0100
message:
  Updating the current copyright year in the welcome message for MySQL.
------------------------------------------------------------
revno: 4570
tags: clone-5.5.36-build
committer: Murthy Narkedimilli <murthy.narkedimilli@oracle.com>
branch nick: mysql-5.5
timestamp: Mon 2014-01-06 10:52:35 +0530
message:
  Updated/added copyright headers
------------------------------------------------------------
revno: 4569
committer: Arun Kuruvila <arun.kuruvila@oracle.com>
branch nick: mysql-5.5
timestamp: Mon 2013-12-30 11:39:55 +0530
message:
  Bug #16324629 : SERVER CRASHES ON UPDATE/JOIN FEDERATED + 
                  LOCAL TABLE WHEN ONLY 1 LOCAL ROW
  
  Description: When updating a federated table with UPDATE...
  JOIN, the server consistently crashes with Signal 11 when
  only 1 row exists in the local table involved in the join 
  and that 1 row can be joined with a row in the federated 
  table.
  
  Analysis: Interaction between the federated engine and the
  optimizer results in the crash. In our scenario, ie, local
  table having only one row, the program is following a 
  different path because the table is treated as a constant
  table by the join optimizer. So in this scenario 
  "index_read()" is happening in the prepare phase,
  since optimizer plan is different for constant table joins.
  In this case, "index_read_idx_map()" (inside handler.cc) is
  calling "index_read()" and inside "index_read()", matching 
  rows are fetched and "stored_result" gets populated by 
  calling "store_result()". And just after "index_read()", 
  "index_end()" function is called. And in the "index_end()",
  its freeing the "stored_result" by calling "free_result()".
  So when it reaches the execution phase, in "position()" 
  function, we are getting assertion at 
  "DBUG_ASSERT(stored_result);". In all other scenarios (ie, 
  table with more than 1 row), optimizer plan is different 
  and "index_read()" is happening in the execution phase.
  
  Fix: So my fix is to have a separate ha_federated member
  function for "index_read_idx_map()" which will handle 
  federated engine separately. So that position() will be 
  called before index_end() call in constant table scenario.
------------------------------------------------------------
revno: 4568
committer: Aditya A <aditya.a@oracle.com>
branch nick: mysql-5.5
timestamp: Sun 2013-12-29 16:55:24 +0530
message:
  Bug#12762390 SHOW INNODB STATUS REPORTS NON-FK 
               ERRORS IN THE FK SECTION
  
  ANALYSIS
  --------
  
  Any error during the renaming of the table was 
  incorrectly logged in the dict_foreign_err_file
  and it showed up in foreign key section when
  we give the query "show engine innodb status".
  
  FIX
  ---
  Prevent renaming error from being logged in 
  dict_foreign_err_file section.  
  
  [Aprooved by marko #rb 2501 ]
------------------------------------------------------------
revno: 4567
committer: Satya Bodapati <satya.bodapati@oracle.com>
branch nick: mysql-5.5
timestamp: Thu 2013-12-26 14:33:52 +0530
message:
  BUG#16752251 - INNODB DOESN'T REDO-LOG INSERT BUFFER MERGE OPERATION IF
                 IT IS DONE IN-PLACE
  
  Add testcase as innodb-change-buffer-recovery.test
------------------------------------------------------------
revno: 4566
committer: Venkata Sidagam <venkata.sidagam@oracle.com>
branch nick: 5.5
timestamp: Thu 2013-12-19 16:08:38 +0530
message:
  Bug #17780290 	PUBLISH THE GIS TEST FOR BUG#16451878
        
  Adding the test cases for the BUG#16451878.
------------------------------------------------------------
revno: 4565
committer: Bjorn Munch <bjorn.munch@oracle.com>
branch nick: main-55
timestamp: Wed 2013-12-18 14:01:15 +0100
message:
  Followup fix for Bug 17827378 MTR DOES NOT REPORT IF A TEST 
                                FAILS TO DROP CREATED EVENTS:
  
  - Check for triggers should exclude mtr's own
  - Move the code to before checksum table as it might affect result
    of some autdit_log tests (does in 5.6)
  - Replace SHOW STATUS LIKE 'slave_open_temp_tables' to be like in 5.6
------------------------------------------------------------
revno: 4564
committer: Tor Didriksen <tor.didriksen@oracle.com>
branch nick: 5.5
timestamp: Wed 2013-12-18 11:08:21 +0100
message:
  MTR's internal check of the test case 'main.events_trans' failed.
  fix: DROP EVENT e1;
------------------------------------------------------------
revno: 4563
committer: Tor Didriksen <tor.didriksen@oracle.com>
branch nick: 5.5
timestamp: Wed 2013-12-18 11:05:18 +0100
message:
  Bug#16316074 RFE: MAKE TMPDIR A BUILD-TIME CONFIGURABLE OPTION
  Bug#68338    RFE: make tmpdir a build-time configurable option
  
  Background: Some distributions use tmpfs for mounting /tmp by
  default, which has some advantages, but brings also new
  issues. Fedora started using tmpfs on /tmp in version 18 for
  example. If not configured otherwise in my.cnf, MySQL uses
  system's constant P_tmpdir expanded to /tmp on Linux. This can
  introduce some problems with limited space in /tmp and also some
  data loss in case of replication slave [1].
  
  In case distributions would like to use /var/tmp, which should be
  better for MySQL purposes, then we have to patch the source or
  change tmpdir option in my.cnf, which is however not updated in
  case it has already existed.
  
  Thus, it would be useful to be able to specify default tmpdir
  path using a configure option, while using P_tmpdir in case it is
  not defined explicitly.
  
  Based on a contribution from Honza Horak
------------------------------------------------------------
revno: 4562
committer: Venkatesh Duggirala<venkatesh.duggirala@oracle.com>
branch nick: mysql-5.5
timestamp: Wed 2013-12-18 13:52:49 +0530
message:
  Bug17632978 SLAVE CRASHES IF ROW EVENT IS CORRUPTED
  (MYSQLBINLOG -V CRASHES WITH THAT BINLOG)
  
  Post Push: Fixing Werror compiler issue 
------------------------------------------------------------
revno: 4561
committer: Venkatesh Duggirala<venkatesh.duggirala@oracle.com>
branch nick: mysql-5.5
timestamp: Tue 2013-12-17 22:11:22 +0530
message:
  Bug#17632978 SLAVE CRASHES IF ROW EVENT IS CORRUPTED
  (MYSQLBINLOG -V CRASHES WITH THAT BINLOG)
  
  Problem: If slave receives a corrupted row event,
  slave server is crashing.
  
  Analysis: When slave is unpacking the row event, it is
  not validating the data before applying the event. If the
  data is corrupted for eg: the length of a field is wrong,
  it could end up reading wrong data leading to a crash.
  A similar problem happens when mysqlbinlog tool is used
  against a corrupted binlog using '-v' option. Due to -v
  option, the tool tries to print the values of all the
  fields. Corrupted field length could lead to a crash.
  
  Fix: Before unpacking the field, a verification
  will be made on the length. If it falls into the event
  range, only then it will be unpacked. Otherwise,
  "ER_SLAVE_CORRUPT_EVENT" error will be thrown.
  Incase mysqlbinlog -v case, the field value will not be
  printed and the processing of the file will be stopped.
------------------------------------------------------------
revno: 4560
committer: Kent Boortz <kent.boortz@oracle.com>
branch nick: mysql-5.5
timestamp: Sat 2013-12-14 13:05:36 +0100
message:
  Bug#29716 : Bug#11746921 : MYSQL_INSTALL_DB REFERS TO THE (OBSOLETE) MYSQLBUG SCRIPT DURING INSTALLATION
  Bug#68742 : Bug#16530527 : OBSOLETE BUGREPORT ADDRESSES
------------------------------------------------------------
revno: 4559 [merge]
committer: Marc Alff <marc.alff@oracle.com>
branch nick: mysql-5.5-push
timestamp: Fri 2013-12-13 10:26:05 +0100
message:
  Push to mysql-5.5
    ------------------------------------------------------------
    revno: 4557.1.1
    committer: Marc Alff <marc.alff@oracle.com>
    branch nick: mysql-5.5-bug17928281
    timestamp: Wed 2013-12-11 11:15:23 +0100
    message:
      Bug#17928281 'CHECK_PERFORMANCE_SCHEMA()' LEAVES 'CURRENT_THD' REFERRING
      DESTRUCTED THD OBJ 
      
      Prior to fix, function check_performance_schema() could leave
      behind stale pointers in thread local storage, for the following keys:
      - THR_THD (used by _current_thd)
      - THR_MALLOC (used for memory allocation)
      This is an unsafe practice, which can potentially cause crashes,
      and that can cause other bugs when code is modified during maintenance.
      
      With this fix, thread local storage keys used temporarily within
      function check_performance_schema() are cleaned up after use.
------------------------------------------------------------
revno: 4558
committer: sayantan dutta <sayantan.dutta@oracle.com>
branch nick: mysql-5.5
timestamp: Thu 2013-12-12 12:20:57 +0530
message:
  Bug #17827378 - MTR DOES NOT REPORT IF A TEST FAILS TO DROP CREATED EVENTS
------------------------------------------------------------
revno: 4557
committer: Guilhem Bichot <guilhem.bichot@oracle.com>
branch nick: 5.5
timestamp: Wed 2013-12-04 12:32:42 +0100
message:
  Bug#16539979 - BASIC SELECT COUNT(DISTINCT ID) IS BROKEN
  Bug#17867117 - ERROR RESULT WHEN "COUNT + DISTINCT + CASE WHEN" NEED MERGE_WALK 
  
  Problem:
  COUNT DISTINCT gives incorrect result when it uses a Unique
  Tree and its last inserted record has null value.
  
  Here is how COUNT DISTINCT is processed, given that this query is not
  using loose index scan.
  
  When a row is produced as a result of joining tables (there is only
  one table here), we store the SELECTed value in a Unique tree. This
  allows elimination of any duplicates, and thus implements DISTINCT.
  
  When we have processed all rows like this, we walk the Unique tree,
  counting its elements, in Aggregator_distinct::endup() (tree->walk());
  for each element we call Item_sum_count::add(). Such function wants to
  ignore any NULL value, for that it checks item_sum -> args[0] ->
  null_value. It is a mistake: when walking the Unique tree, the value
  to be aggregated is not item_sum ->args[0] but rather table ->
  field[0].
  
  Solution:
  instead of item_sum -> args[0] -> null_value, use arg_is_null(), which
  knows where to look (like in fix for bug 57932).
  
  As a consequence of this solution, we have to make arg_is_null() a
  little more general:
  1) Because it was so far only used for AVG() (which always has a
  single argument), this function was looking at a single argument; now
  that it has to work with COUNT(DISTINCT expression1,expression2), it
  must look at all arguments.
  2) Because we start using arg_is_null () for COUNT(DISTINCT), i.e. in
  Item_sum_count::add (), it implies that we are also using it for
  COUNT(no DISTINCT) (same add ()). For COUNT(no DISTINCT), the
  nullness to check is that of item_sum -> args[0]. But the null_value
  of such item is reliable only if val_*() has been called on it. So far
  arg_is_null() was always used after a call to arg_val*(), so could
  rely on null_value; but for COUNT, there is no call to arg_val*(), so
  arg_is_null() has to call is_null() instead.
  
  Testcase for 16539979 by Neeraj. Testcase for 17867117 contributed by
  Xiaobin Lin from Taobao.
------------------------------------------------------------
revno: 4556 [merge]
committer: Hery Ramilison <hery.ramilison@oracle.com>
branch nick: mysql-5.5
timestamp: Wed 2013-12-04 04:04:44 +0100
message:
  Upmerge of the mysql-5.1.73 build
    ------------------------------------------------------------
    revno: 2661.852.1
    author: 
    committer: Hery Ramilison <hery.ramilison@oracle.com>
    branch nick: mysql-5.1
    timestamp: Tue 2013-12-03 20:47:36 +0100
    message:
      Merge from mysql-5.1.73-release
------------------------------------------------------------
revno: 4555
committer: Pavan Naik<pavan.naik@oracle.com>
branch nick: mysql-5.5-Bug16321920
timestamp: Fri 2013-11-29 15:13:47 +0530
message:
  BUG#16321920 : CREATE A SEPARATE INNODB_ZIP TEST SUITE
  
  Fix :
  -------	
  
  Created separate suites called innodb_zip ans i_innodb_zip that contain all compression tests.
  
  Running the new suites with following compression-related parameters :
  
  * innodb_compression_level = {1/9}
  * innodb_log_compressed_pages = {ON/OFF}
------------------------------------------------------------
revno: 4554 [merge]
committer: Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>
branch nick: mysql-5.5
timestamp: Fri 2013-11-29 08:24:49 +0100
message:
  Added backported repo rpm files from mysql-5.5.35-uln branch
    ------------------------------------------------------------
    revno: 4534.1.3
    committer: Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>
    branch nick: mysql-5.5.35-uln
    timestamp: Mon 2013-11-25 15:08:52 +0100
    message:
      Updated the url and sql_mode in my.cnf
    ------------------------------------------------------------
    revno: 4534.1.2
    committer: Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>
    branch nick: mysql-5.5.35-uln
    timestamp: Mon 2013-11-25 14:49:29 +0100
    message:
      Backport 5.5.35 EL6 uln repo rpms
    ------------------------------------------------------------
    revno: 4534.1.1
    tags: mysql-5.5.35
    committer: Balasubramanian Kandasamy <balasubramanian.kandasamy@oracle.com>
    branch nick: mysql-5.5.35-release
    timestamp: Tue 2013-11-05 08:03:43 +0100
    message:
      Removed non gpl file mysql.info from uln community package
------------------------------------------------------------
revno: 4553
committer: Arun Kuruvila <arun.kuruvila@oracle.com>
branch nick: mysql-5.5
timestamp: Wed 2013-11-27 14:23:03 +0530
message:
  Bug #17168602 MYSQL_PLUGIN REMOVES NON-DIRECTORY TYPE 
                FILES SPECIFIED WITH THE BASEDIR OPTION
  
  fixing the test case (i_main.mysql_plugin) failure in
  windows platform.
------------------------------------------------------------
revno: 4552 [merge]
committer: Anirudh Mangipudi <anirudh.mangipudi@oracle.com>
branch nick: 5.5
timestamp: Mon 2013-11-25 13:50:19 +0530
message:
  Bug#12428404 MYSQLD.EXE CRASHES WHEN EXTRACTVALUE() IS CALLED WITH
  MALFORMED XPATH EXP
  Problem:
  A malformed XPATH expression in the ExtractValue query is causing
  a server crash. This malformed XPATH expression is resulted when 
  the position attribute in the substring function contains ".." in
  the beginning.
  Solution:
  The original crash is happening because the "../" is being evaluated
  prematurely. It tries to access XML while it hasn't been parsed yet.
  The premature evaluation is happening because the val_nodeset function
  is being set to constant, in which case we proceed to evaluate them in
  JOIN:prepare stage only. The solution to this is setting the val_nodeset
  functions as non-constant. This forces us to evaluate the function in
  the JOIN:exec stage and thus avoid any premature evaluation of the 
  XML strings.
    ------------------------------------------------------------
    revno: 2661.844.88
    committer: Anirudh Mangipudi <anirudh.mangipudi@oracle.com>
    branch nick: 5.1
    timestamp: Mon 2013-11-25 13:49:07 +0530
    message:
      Bug#12428404 MYSQLD.EXE CRASHES WHEN EXTRACTVALUE() IS CALLED 
      WITH MALFORMED XPATH EXP
      Problem:
      A malformed XPATH expression in the ExtractValue query is 
      causing a server crash. This malformed XPATH expression is
      resulted when the position attribute in the substring function
      contains ".." in the beginning.
      Solution:
      The original crash is happening because the "../" is being 
      evaluated prematurely. It tries to access XML while it 
      hasn't been parsed yet. The premature evaluation is happening
      because the val_nodeset function is being set to constant, 
      in which case we proceed to evaluate them in JOIN:prepare
      stage only. The solution to this is setting the val_nodeset
      functions as non-constant. This forces us to evaluate the function
       in the JOIN:exec stage and thus avoid any premature evaluation of
      the XML strings.
------------------------------------------------------------
revno: 4551
committer: Arun Kuruvila <arun.kuruvila@oracle.com>
branch nick: mysql-5.5
timestamp: Mon 2013-11-25 12:31:09 +0530
message:
  Bug #17168602 MYSQL_PLUGIN REMOVES NON-DIRECTORY TYPE FILES 
                SPECIFIED WITH THE BASEDIR OPTION 
  
  Description: The mysql_plugin client attempts to remove any
  filename specified to the --basedir option. The problem is
  that if the filename does not end with a slash, it will 
  attempt to unlink it, which succeeds for files, but not for
  directories.
  
  Analysis: When we are starting mysql_plugin with basedir 
  option and if we are giving path of a file as basedir, it 
  deletes that file. It was because it uses a function 
  my_delete which unlinks the file path given.
  
  Fix:  As a fix we replace that line using another function 
  my_free, which will only free the  pointer which is having 
  that file path.
------------------------------------------------------------
revno: 4550
committer: Mattias Jonsson <mattias.jonsson@oracle.com>
branch nick: topush-5.5
timestamp: Wed 2013-11-20 13:13:18 +0100
message:
  backport of Bug#17401628
  
  revid:mattias.jonsson@oracle.com-20131119103616-u6t82s8cpgp0q3ex
  
  Use of uninitialized memory in the priority queue used for returning records
  in sorted order.
  
  It happens if no previous partition have returned a row since the
  beginning of index_init + an index_read* call returned
  HA_ERR_KEY_NOT_FOUND for all partitions (otherwise the record
  buffer/priority queue would be initialized) + an index_next/prev
  call where all partitions returns HA_ERR_END_OF_FILE.
------------------------------------------------------------
revno: 4549
committer: mithun <mithun.c.y@oracle.com>
branch nick: mysql-5.5
timestamp: Mon 2013-11-18 18:12:01 +0530
message:
  Bug #17708621 : EXCEEDING SORT_BUFFER_SIZE (FILE SORT) 
                  WITH SORT ABORTED LEAKS FILE DESCRIPTORS
  
  ISSUE : IO_CACHE used for index_merge quick select
  is freed only on successful retrieval of all rows
  from index merge.
  Suppose if there is a interrupt( or failure) to
  this operation of row retrieval (let it be a
  KILL_QUERY signal) then we are not freeing the IO_CACHE
  resources allocated by index_merge quick select.
  And hence temp file associated with it is also not closed.
  This lead to a file descriptor leak.
  
  SOLUTION : As part of file sort operation now we always 
  free the IO_CACHE allocated by index_merge quick select.
------------------------------------------------------------
revno: 4548
committer: Venkatesh Duggirala<venkatesh.duggirala@oracle.com>
branch nick: mysql-5.5
timestamp: Thu 2013-11-14 15:00:08 +0530
message:
  Bug#17641586 INCORRECTLY PRINTED BINLOG DUMP INFORMATION
  
  Follow up patch to resolve PB2 failures
------------------------------------------------------------
revno: 4547
committer: Atanu Ghosh <atanu.ghosh@oracle.com>
branch nick: mysql-5.5
timestamp: Thu 2013-11-14 14:27:31 +0530
message:
  Bug #17049656 : MYSQLD --LOCAL-SERVICE PARAMETER DOES NOT WORK
  
  Problem: The "--local-install" service does not perform as expected for, at least,
           Windows.
  
  Fix: A NULL pointer was dereferenced due to which there was crash.A check was introduced
       for NULL string before dereferencing it.No test cases written as it is a bug during 
       installation.
------------------------------------------------------------
revno: 4546
committer: Venkatesh Duggirala<venkatesh.duggirala@oracle.com>
branch nick: mysql-5.5
timestamp: Tue 2013-11-12 22:09:10 +0530
message:
  Bug#17641586 INCORRECTLY PRINTED BINLOG DUMP INFORMATION
  
  Problem:
  When log_warnings is greater than 1, master prints binlog
  dump thread information in mysqld.1.err file.
  The information contains slave server id, binlog file and
  binlog position. The slave server id is uint32 and the print
  format was wrongly specifified (%d instead of %u).
  Hence a server id which is more than 2 billion is getting
  printed with a negative value.
  Eg: Start binlog_dump to slave_server(-1340259414),
  pos(mysql-bin.001663, 325187493)
  
  Fix: Changed the uint32 format to %u.
------------------------------------------------------------
revno: 4545
committer: mithun <mithun.c.y@oracle.com>
branch nick: mysql-5.5
timestamp: Tue 2013-11-12 16:42:46 +0530
message:
  Bug #14057034 : WASTED CPU CYCLES IN MY_UTF8_UNI WHERE
                  RESULTING MY_WC_T RESULT IS NOT USED
  Issue         : handler functions my_ismbchar_utf8,
                my_well_formed_len_mb for charset utf8
                is calling unicode converion function
                to validate and to find the character
                length. Because of this, instructions
                which will convert the utf8 to unicode
                are executed for no use.
                A similar issue exist with charset utf8mb4
  Solution      : reorganized the code such that character
                validation part of unicode conversion
                handler is extracted(duplicated) in to
                separate function. Hence
                my_ismbchar_utf8, my_well_formed_len_mb
                will call the new function which only
                validates and return the length of mb(utf8).
                A similar fix for charset utf8mb4.
------------------------------------------------------------
revno: 4544
committer: Christopher Powers <chris.powers@oracle.com>
branch nick: mysql-5.5
timestamp: Thu 2013-11-07 15:44:57 -0600
message:
  Bug#17702677 WRONG INSTRUMENTATION INTERFACE FOR MYSQL_COND_TIMEDWAIT
  
  Fix Windows build break
------------------------------------------------------------
revno: 4543 [merge]
committer: Marc Alff <marc.alff@oracle.com>
branch nick: mysql-5.5-push
timestamp: Thu 2013-11-07 18:29:43 +0100
message:
  Push to mysql-5.5
    ------------------------------------------------------------
    revno: 4538.1.1
    committer: Marc Alff <marc.alff@oracle.com>
    branch nick: mysql-5.5-bug17702677
    timestamp: Wed 2013-11-06 10:22:00 +0100
    message:
      Bug#17702677 WRONG INSTRUMENTATION INTERFACE FOR MYSQL_COND_TIMEDWAIT
      
      The pthread_cond_timedwait(3P) api
      uses a const struct timespec for parameter 3.
      
      The instrumentation api for the same, mysql_cond_timedwait,
      which expands to inline_mysql_cond_timedwait,
      should also take a const parameter for the timespec.
      
      This fix add the missing const to inline_mysql_cond_timedwait.
------------------------------------------------------------
revno: 4542
committer: Sujatha Sivakumar <sujatha.sivakumar@oracle.com>
branch nick: Bug16736412_mysql-5.5
timestamp: Thu 2013-11-07 17:30:57 +0530
message:
  Bug#16736412: THE SERVER WAS CRASHED WHILE EXECUTING
  "SHOW BINLOG EVENTS"
  
  Fixing post push test issue. 
  Changing the debug simulation.
------------------------------------------------------------
revno: 4541
committer: Neeraj Bisht <neeraj.x.bisht@oracle.com>
branch nick: 5.5
timestamp: Thu 2013-11-07 16:46:24 +0530
message:
  Bug#16691598 - ORDER BY LOWER(COLUMN) PRODUCES OUT-OF-ORDER RESULTS
  
  Problem:-
  We have created a table with UTF8_BIN collation.
  In case, when in our query we have ORDER BY clause over a function 
  call we are getting result in incorrect order.
  Note:the bug is not there in 5.5.
  
  Analysis:
  In 5.5, for UTF16_BIN, we have min and max multi-byte length is 2 and 4 
  respectively.In make_sortkey(),for 2 byte character character we are 
  assuming that the resultant length will be 2 byte/character. But when we 
  use my_strnxfrm_unicode_full_bin(), we store sorting weights using 3 bytes 
  per character.This result in truncated result.
  
  Same thing happen for UTF8MB4, where we have 1 byte min multi-byte and 
  4 byte max multi-byte.We will accsume resultant data as 1 byte/character, 
  which result in truncated result.
  
  Solution:-
  use strnxfrm(means use of MY_CS_STRNXFRM macro) is used for sort, in 
  which the resultant length is not dependent on source length.
------------------------------------------------------------
revno: 4540
committer: Sujatha Sivakumar <sujatha.sivakumar@oracle.com>
branch nick: Bug16736412_mysql-5.5
timestamp: Wed 2013-11-06 17:21:13 +0530
message:
  Follow up patch to add missing debug.inc file.
------------------------------------------------------------
revno: 4539
committer: Sujatha Sivakumar <sujatha.sivakumar@oracle.com>
branch nick: Bug16736412_mysql-5.5
timestamp: Wed 2013-11-06 15:00:49 +0530
message:
  Bug#16736412: THE SERVER WAS CRASHED WHILE EXECUTING
  "SHOW BINLOG EVENTS"
  
  Problem:
  ========
  mysql was crashed after executing "show binlog events in
  'mysql-bin.000005' from 99", the crash happened randomly.
  
  Analysis:
  ========
  During construction of LOAD EVENT or NEW LOAD EVENT object
  if the starting offset is provided as incorrect value then
  all the object members that are retrieved from the offset
  are also invalid.  Some times it will lead to out of bound
  address offsets.  In the bug scenario, the file name is
  extracrated from an invalid address and the same is fed to
  strlen(fname) function. Passing invalid address to strlen
  will lead to crash.
  
  Fix:
  ===
  Validate if the given offset falls within the event boundary
  or not.
------------------------------------------------------------
revno: 4538
committer: Aditya A <aditya.a@oracle.com>
branch nick: mysql-5.5
timestamp: Tue 2013-11-05 19:25:26 +0530
message:
  Bug#17588348: INDEX MERGE USED ON PARTITIONED TABLE 
                 CAN RETURN WRONG RESULT SET
  
  PROBLEM
  -------
  In ha_partition::cmp_ref() we were only calling the 
  underlying cmp_ref() of storage engine if the records
  are in the same partiton,else we sort by partition and
  returns the result.But the index merge intersect 
  algorithm expects first to sort by row-id first and 
  then by partition id.
  
  FIX
  ---
  Compare the refernces first using storage engine cmp_ref
  and then if references are equal(only happens if 
  non clustered index is used) then sort it by partition id.
  
  [Approved by Mattiasj #rb3755]
  -
------------------------------------------------------------
revno: 4537
committer: Tor Didriksen <tor.didriksen@oracle.com>
branch nick: 5.5-bug12368495reverse
timestamp: Tue 2013-11-05 10:02:57 +0100
message:
  Bug#12368495 CRASH AND/OR VALGRIND ERRORS WITH REVERSE FUNCTION AND CHARSET CONVERTS
  
  Item_func_trim::val_str: we were using the non-mb algorithm for skipping leading spaces
  in a multibyte-charset string.
------------------------------------------------------------
revno: 4536 [merge]
committer: Venkata Sidagam <venkata.sidagam@oracle.com>
branch nick: 5.5
timestamp: Mon 2013-11-04 19:05:04 +0530
message:
  Bug #12917164 DROP USER CAN'T DROP USERS WITH LEGACY 
      UPPER CASE HOST NAME ANYMORE
  Null merge from mysql-5.1 to mysql-5.5
    ------------------------------------------------------------
    revno: 2661.844.87
    committer: Venkata Sidagam <venkata.sidagam@oracle.com>
    branch nick: 5.1
    timestamp: Mon 2013-11-04 19:02:57 +0530
    message:
      Bug #12917164 DROP USER CAN'T DROP USERS WITH LEGACY 
          UPPER CASE HOST NAME ANYMORE
      Fixing the testcase failure for mysql-5.1
------------------------------------------------------------
revno: 4535 [merge]
committer: Murthy Narkedimilli <murthy.narkedimilli@oracle.com>
branch nick: mysql-5.5
timestamp: Mon 2013-11-04 11:56:38 +0100
message:
  Cloning the branch and raising the version number for 5.5.35 build
    ------------------------------------------------------------
    revno: 2661.844.86
    author: murthy.narkedimilli@oracle.com
    committer: Murthy Narkedimilli <murthy.narkedimilli@oracle.com>
    branch nick: mysql-5.1
    timestamp: Mon 2013-11-04 11:29:37 +0100
    message:
      Raise version number after cloning 5.1.73
